#ifndef ISR_H
#define ISR_H

struct isr_param
{
    uint32_t int_vector;
    uint32_t error_code;
} __attribute__ ((packed));

void isr_divide(void);
void isr_debug(void);
void isr_nmi(void);
void isr_breakpoint(void);
void isr_overflow(void);
void isr_bound_range_exceeded(void);
void isr_invalid_opcode(void);
void isr_device_not_available(void);
void isr_double_fault(void);
void isr_coprocessor_segment_overrun(void);
void isr_invalid_tss(void);
void isr_segment_not_present(void);
void isr_stack_segment_fault(void);
void isr_general_protection(void);
void isr_page_fault(void);
void isr_fpu_floating_point_error(void);
void isr_alignment_check(void);
void isr_machine_check(void);
void isr_simd_floating_point_exception(void);
void isr_virtualization_exception(void);
void isr_control_protection_exception(void);
void isr_pit(void);
void isr_keyboard(void);

#endif  /* !ISR_H */
